/sbin/iptables-restore < /etc//groovix//filter/reset.iptables

/sbin/iptables -A OUTPUT -m owner --uid-owner root -j ACCEPT
/sbin/iptables -A OUTPUT -m owner --uid-owner proxy -j ACCEPT
/sbin/iptables -A OUTPUT -m owner --uid-owner lightdm -j ACCEPT
/sbin/iptables -A OUTPUT -o lo -j ACCEPT

#old method, people could still connect without proxy on non-standard ports like 8000, 8888
#/sbin/iptables -A OUTPUT -p tcp --dport 80 -j DROP
#/sbin/iptables -A OUTPUT -p tcp --dport 443 -j DROP


#new method, block all ports except ssh, dns, and squid proxy

#allow pings
/sbin/iptables -A OUTPUT -p icmp -j ACCEPT

/sbin/iptables -A OUTPUT -p tcp --dport 22 -j ACCEPT

/sbin/iptables -A OUTPUT -p tcp --dport 53 -j ACCEPT
/sbin/iptables -A OUTPUT -p udp --dport 53 -j ACCEPT

#not required with a print server
/sbin/iptables -A OUTPUT -p tcp --dport 631 -j ACCEPT
/sbin/iptables -A OUTPUT -p udp --dport 631 -j ACCEPT
#for some printers, not required with a print server
/sbin/iptables -A OUTPUT -p tcp --dport 9100 -j ACCEPT
/sbin/iptables -A OUTPUT -p udp --dport 9100 -j ACCEPT

/sbin/iptables -A OUTPUT -p tcp --dport 3128 -j ACCEPT
/sbin/iptables -A OUTPUT -p udp --dport 3128 -j ACCEPT

#for sip ( caused problem with screen locking)
/sbin/iptables -A OUTPUT -p tcp --dport 6000 -j ACCEPT
/sbin/iptables -A OUTPUT -p tcp --dport 6001 -j ACCEPT
/sbin/iptables -A OUTPUT -p tcp --dport 6002 -j ACCEPT
/sbin/iptables -A OUTPUT -p tcp --dport 6003 -j ACCEPT
/sbin/iptables -A OUTPUT -p tcp --dport 6004 -j ACCEPT



/sbin/iptables -A OUTPUT -j DROP

